purchaseNode() Netscript Function
=================================

.. js:function:: purchaseNode()

    :RAM cost: 0 GB
    :returns: Index of the newly purchased node. -1 on failure.

    Purchases a new Hacknet Node.
    This index is equivalent to the number at the end of the Hacknet Node's name
    (e.g The Hacknet Node named 'hacknet-node-4' will have an index of 4).
